Bug 205463 - %{_libdir}/openoffice.org2.0/share/psprint/psprint.conf should be config(noreplace)
%{_libdir}/openoffice.org2.0/share/psprint/psprint.conf should be config(nore...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 11:34 EDT by Laurent Rineau
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 06:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Rineau 2006-09-06 11:34:37 EDT
The title says it all: the 
file %{_libdir}/openoffice.org2.0/share/psprint/psprint.conf should be flagged 
as config(noreplace) in the spec file.

The problem occures with the revision 1.870 of the CVS 
file /cvs/dist/rpms/openoffice.org/devel/openoffice.org.spec which corresponds 
to the "Epoch:Version-Release" 1:2.0.4-3.2 of openoffice.org.

With the current settings, the administrator cannot setup printers globally 
for openoffice.
Comment 1 Caolan McNamara 2006-09-06 12:20:22 EDT
sorry, what is the exact problem you are trying to solve ? 

Ideally you don't touch any OOo specific files if you want to e.g. add printers,
add fonts or set a default printer, but instead use the standard configuration
programs to add printers to cups, fonts to fontconfig and set the default
printer and fonts through desktop-wide settings.
Comment 2 Laurent Rineau 2006-09-07 05:12:08 EDT
I would like to disable the local CUPS service, on my machine, and rely only 
on a remote CUPS server of my LAN. openoffice does not seem to support CUPS 
correctly (it does not read /etc/cups/client.conf). The workaround I have 
found is to set up:
  Command=kprinter
in /usr/lib/openoffice.org2.0/share/psprint/psprint.conf
But this file is not marked as config(noreplace), whereas it is a config file 
of OOo.
Comment 3 Caolan McNamara 2006-09-09 11:27:19 EDT
What about e.g. firefox and gedit, do they do what you want "out of the box" in
this scenario ?

caolanm->twaugh: Should OOo have to "do something" special to speak directly to
a remote cups server, AFAIK we just call cupsGetDests to find printers, and
cupsPrintFile to print to them.
Comment 4 Laurent Rineau 2006-09-09 11:45:53 EDT
(In reply to comment #3)
> What about e.g. firefox and gedit, do they do what you want "out of the box" 
in
> this scenario ?

I do not know. I do not use them. firefox seems to have a pretty bad support 
for a remote CUPS server: it does not see any printers. gedit is not even 
installed here. I cannot test it.
Comment 5 Tim Waugh 2006-09-11 05:52:18 EDT
caolan: cupsGetDests and cupsPrintFile will do the right thing with respect to
/etc/cups/client.conf.
Comment 6 Laurent Rineau 2006-09-11 06:49:03 EDT
(In reply to comment #2)
> I would like to disable the local CUPS service, on my machine, and rely only 
> on a remote CUPS server of my LAN. openoffice does not seem to support CUPS 
> correctly (it does not read /etc/cups/client.conf).

Well, I was wrong. openoffice does read /etc/cups/client.conf. My client.conf 
file was not correct. Sorry.

Note You need to log in before you can comment on or make changes to this bug.